Debian Bug report logs - #362159
ITA: tiemu -- Texas Instruments calculators emulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:12 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version tiemu/3.02-1

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362159; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tiemu -- Texas Instruments calculators emulator
Date: Wed, 12 Apr 2006 17:25:54 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the tiemu package.

The package description is:
 TIemu emulates Texas Instruments calculators TI-92/92+/89.
 .
 It is based on XTiger, the original TI emulator for Linux, which
 uses the 68k emulation core from UAE (The Ultimate Amiga Emulator).
 .
 You need to either dump the ROM of your calculator (you can do so
 with TiLP), or get a ROM from Texas Instrument (see the software
 section concerning your calculator, then download the archive and
 extract the file) to use this emulator. There are *no* TI ROMs provided
 in this package, as they are copyrighted by Texas Instruments, Inc.
 .
 However, a free (as in speech) ROM is now provided with TiEmu, namely
 PedRom. Try it out!

You will probably be interested in the related, also orphaned, packages:
 tilp, skinedit, tidev-modules-source, libtifiles0, libticables3, libticalcs4

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362159; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362159-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362159; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362159-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362159; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362159-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: tiemu -- Texas Instruments calculators emulator' from `O: tiemu -- Texas Instruments calculators emulator'. Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Fri, 04 Jul 2008 11:09:03 GMT) Full text and rfc822 format available.

Owner recorded as warp10@ubuntu.com. Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Fri, 04 Jul 2008 11:09:03 GMT) Full text and rfc822 format available.

Owner changed from warp10@ubuntu.com to "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:07 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: tiemu -- Texas Instruments calculators emulator' from `ITA: tiemu -- Texas Instruments calculators emulator'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:08 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:48:09 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 28 Sep 2009 18:18:09 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 28 Sep 2009 18:18:10 GMT) Full text and rfc822 format available.

Message #35 received at 362159-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362159-close@bugs.debian.org
Subject: Bug#362159: fixed in tiemu 3.02-1
Date: Mon, 28 Sep 2009 17:47:24 +0000
Source: tiemu
Source-Version: 3.02-1

We believe that the bug you reported is fixed in the latest version of
tiemu, which is due to be installed in the Debian FTP archive:

tiemu_3.02-1.diff.gz
  to pool/main/t/tiemu/tiemu_3.02-1.diff.gz
tiemu_3.02-1.dsc
  to pool/main/t/tiemu/tiemu_3.02-1.dsc
tiemu_3.02-1_amd64.deb
  to pool/main/t/tiemu/tiemu_3.02-1_amd64.deb
tiemu_3.02.orig.tar.gz
  to pool/main/t/tiemu/tiemu_3.02.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated tiemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Sep 2009 12:15:27 +0200
Source: tiemu
Binary: tiemu
Architecture: source amd64
Version: 3.02-1
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 tiemu      - Texas Instruments calculators emulator (without GDB)
Closes: 362159
Changes: 
 tiemu (3.02-1) unstable; urgency=low
 .
   * New upstream release.
   * New maintainer. (Closes: #362159)
   * Changed dependency from iceape to iceweasel.
   * Conforms with latest Standards Version 3.8.3.
Checksums-Sha1: 
 2000e9a1411d82a44e0ef45a50d6fb7da9fdd9e5 1247 tiemu_3.02-1.dsc
 4d65f325e5a4faf354839a1c7de61fe8efde5cc4 2748929 tiemu_3.02.orig.tar.gz
 27e07cc620a90376a6f910bf8565a7c0c7c03224 7241 tiemu_3.02-1.diff.gz
 dc80e3dd3b7c46c12559fc629417684756e8ca7a 1960076 tiemu_3.02-1_amd64.deb
Checksums-Sha256: 
 aaa853cb508220a14eeab2676fd5c775c724393f14bef119288cdd1f33e93ba6 1247 tiemu_3.02-1.dsc
 6bf4bb419615ed37876314b807b470d6fa64df56606741eae15a85fec0268f45 2748929 tiemu_3.02.orig.tar.gz
 dd36c1a3c43f45fad4a1f1f6d4bd09a9ba0b79223ca5c2b6e54ac071cb52b302 7241 tiemu_3.02-1.diff.gz
 c6b7c9ca2d2d619c75516ed5fbc48891b7e25c9a3f57a391db0f2f8eeba032c1 1960076 tiemu_3.02-1_amd64.deb
Files: 
 217c33f10629ae9f313b1f927f8b9d09 1247 math optional tiemu_3.02-1.dsc
 8a68da4a6f62b45fea899e5b9a50cda0 2748929 math optional tiemu_3.02.orig.tar.gz
 6c8a693545f81dd32aa5bad4ab819dc8 7241 math optional tiemu_3.02-1.diff.gz
 c52ccb5a0b44859894ab72f0dc13acd6 1960076 math optional tiemu_3.02-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKwPFwzWFP1/XWUWkRAoPqAJ4rf3WN7px8rmXyk3z+TaoAxuRZhwCgubT6
qYMNTdp3j3F3UrqVF9jpfGY=
=WeTH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Oct 2009 07:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:07:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.